curl --request POST \
--url https://api.acedata.cloud/suno/audios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lyric": "<string>",
"model": "chirp-v5-5",
"style": "<string>",
"variation_category": "<string>",
"title": "<string>",
"action": "generate",
"custom": true,
"prompt": "A song for Christmas",
"lyric_prompt": {},
"audio_id": "<string>",
"mashup_audio_ids": [
"<string>"
],
"audio_urls": [
"https://cdn1.suno.ai/b481b17a-bf50-4e10-8adc-4d5635050893.mp3"
],
"weirdness": 0.5,
"persona_id": "<string>",
"overpainting_start": 123,
"overpainting_end": 123,
"samples_start": 123,
"samples_end": 123,
"underpainting_start": 123,
"underpainting_end": 123,
"continue_at": 123,
"callback_url": "<string>",
"async": true,
"instrumental": true,
"vocal_gender": "<string>",
"style_negative": "<string>",
"style_influence": 0.5,
"audio_weight": 0.5,
"replace_section_end": 123,
"replace_section_start": 123
}
'import requests
url = "https://api.acedata.cloud/suno/audios"
payload = {
"lyric": "<string>",
"model": "chirp-v5-5",
"style": "<string>",
"variation_category": "<string>",
"title": "<string>",
"action": "generate",
"custom": True,
"prompt": "A song for Christmas",
"lyric_prompt": {},
"audio_id": "<string>",
"mashup_audio_ids": ["<string>"],
"audio_urls": ["https://cdn1.suno.ai/b481b17a-bf50-4e10-8adc-4d5635050893.mp3"],
"weirdness": 0.5,
"persona_id": "<string>",
"overpainting_start": 123,
"overpainting_end": 123,
"samples_start": 123,
"samples_end": 123,
"underpainting_start": 123,
"underpainting_end": 123,
"continue_at": 123,
"callback_url": "<string>",
"async": True,
"instrumental": True,
"vocal_gender": "<string>",
"style_negative": "<string>",
"style_influence": 0.5,
"audio_weight": 0.5,
"replace_section_end": 123,
"replace_section_start": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lyric: '<string>',
model: 'chirp-v5-5',
style: '<string>',
variation_category: '<string>',
title: '<string>',
action: 'generate',
custom: true,
prompt: 'A song for Christmas',
lyric_prompt: {},
audio_id: '<string>',
mashup_audio_ids: ['<string>'],
audio_urls: ['https://cdn1.suno.ai/b481b17a-bf50-4e10-8adc-4d5635050893.mp3'],
weirdness: 0.5,
persona_id: '<string>',
overpainting_start: 123,
overpainting_end: 123,
samples_start: 123,
samples_end: 123,
underpainting_start: 123,
underpainting_end: 123,
continue_at: 123,
callback_url: '<string>',
async: true,
instrumental: true,
vocal_gender: '<string>',
style_negative: '<string>',
style_influence: 0.5,
audio_weight: 0.5,
replace_section_end: 123,
replace_section_start: 123
})
};
fetch('https://api.acedata.cloud/suno/audios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "1b694cae-8b5f-424f-a5bf-2f27b7697843",
"lyric": "[Verse]\nSnowflakes falling like whispered dreams\nFrosty windows\nCocoa steam\nCandles flicker\nHearts aglow\nThe quiet hum of winter’s show\n[Chorus]\nOh the world feels soft tonight\nWrapped in stars and silver light\nChristmas whispers\nHold it tight\nSnowfall serenade\n[Verse 2]\nFootprints weaving through the white\nEvery step feels just so right\nLaughter echoes\nFires burn\nEvery corner a joy to turn\n[Prechorus]\nHolly hangs and bells will ring\nMagic hums in everything\n[Chorus]\nOh the world feels soft tonight\nWrapped in stars and silver light\nChristmas whispers\nHold it tight\nSnowfall serenade\n[Bridge]\nStockings hung with quiet care\nDreams and wishes fill the air\nA moment frozen\nTime stands still\nHearts align\nThey always will",
"model": "chirp-v3",
"state": "succeeded",
"style": "uplifting, orchestral with sleigh bells and warm strings",
"title": "Snowfall Serenade",
"prompt": "A song for Christmas",
"duration": 240,
"audio_url": "https://cdn1.suno.ai/1b694cae-8b5f-424f-a5bf-2f27b7697843.mp3",
"image_url": "https://cdn2.suno.ai/image_1b694cae-8b5f-424f-a5bf-2f27b7697843.jpeg",
"video_url": "",
"created_at": "2025-07-29T01:28:32.508Z"
},
{
"id": "532f4ae0-48fb-4604-9c68-350897373522",
"lyric": "[Verse]\nSnowflakes falling like whispered dreams\nFrosty windows\nCocoa steam\nCandles flicker\nHearts aglow\nThe quiet hum of winter’s show\n[Chorus]\nOh the world feels soft tonight\nWrapped in stars and silver light\nChristmas whispers\nHold it tight\nSnowfall serenade\n[Verse 2]\nFootprints weaving through the white\nEvery step feels just so right\nLaughter echoes\nFires burn\nEvery corner a joy to turn\n[Prechorus]\nHolly hangs and bells will ring\nMagic hums in everything\n[Chorus]\nOh the world feels soft tonight\nWrapped in stars and silver light\nChristmas whispers\nHold it tight\nSnowfall serenade\n[Bridge]\nStockings hung with quiet care\nDreams and wishes fill the air\nA moment frozen\nTime stands still\nHearts align\nThey always will",
"model": "chirp-v3",
"state": "succeeded",
"style": "uplifting, orchestral with sleigh bells and warm strings",
"title": "Snowfall Serenade",
"prompt": "A song for Christmas",
"duration": 240,
"audio_url": "https://cdn1.suno.ai/532f4ae0-48fb-4604-9c68-350897373522.mp3",
"image_url": "https://cdn2.suno.ai/image_532f4ae0-48fb-4604-9c68-350897373522.jpeg",
"video_url": "",
"created_at": "2025-07-29T01:28:32.508Z"
}
],
"success": true,
"task_id": "6a8fe7f7-3897-43e4-ad1e-5d0792fb3dba",
"trace_id": "2b63eb64-8244-48fa-9d67-8c46041666fe"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "timeout while waiting for audio generation"
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Suno Audios
curl --request POST \
--url https://api.acedata.cloud/suno/audios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lyric": "<string>",
"model": "chirp-v5-5",
"style": "<string>",
"variation_category": "<string>",
"title": "<string>",
"action": "generate",
"custom": true,
"prompt": "A song for Christmas",
"lyric_prompt": {},
"audio_id": "<string>",
"mashup_audio_ids": [
"<string>"
],
"audio_urls": [
"https://cdn1.suno.ai/b481b17a-bf50-4e10-8adc-4d5635050893.mp3"
],
"weirdness": 0.5,
"persona_id": "<string>",
"overpainting_start": 123,
"overpainting_end": 123,
"samples_start": 123,
"samples_end": 123,
"underpainting_start": 123,
"underpainting_end": 123,
"continue_at": 123,
"callback_url": "<string>",
"async": true,
"instrumental": true,
"vocal_gender": "<string>",
"style_negative": "<string>",
"style_influence": 0.5,
"audio_weight": 0.5,
"replace_section_end": 123,
"replace_section_start": 123
}
'import requests
url = "https://api.acedata.cloud/suno/audios"
payload = {
"lyric": "<string>",
"model": "chirp-v5-5",
"style": "<string>",
"variation_category": "<string>",
"title": "<string>",
"action": "generate",
"custom": True,
"prompt": "A song for Christmas",
"lyric_prompt": {},
"audio_id": "<string>",
"mashup_audio_ids": ["<string>"],
"audio_urls": ["https://cdn1.suno.ai/b481b17a-bf50-4e10-8adc-4d5635050893.mp3"],
"weirdness": 0.5,
"persona_id": "<string>",
"overpainting_start": 123,
"overpainting_end": 123,
"samples_start": 123,
"samples_end": 123,
"underpainting_start": 123,
"underpainting_end": 123,
"continue_at": 123,
"callback_url": "<string>",
"async": True,
"instrumental": True,
"vocal_gender": "<string>",
"style_negative": "<string>",
"style_influence": 0.5,
"audio_weight": 0.5,
"replace_section_end": 123,
"replace_section_start": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lyric: '<string>',
model: 'chirp-v5-5',
style: '<string>',
variation_category: '<string>',
title: '<string>',
action: 'generate',
custom: true,
prompt: 'A song for Christmas',
lyric_prompt: {},
audio_id: '<string>',
mashup_audio_ids: ['<string>'],
audio_urls: ['https://cdn1.suno.ai/b481b17a-bf50-4e10-8adc-4d5635050893.mp3'],
weirdness: 0.5,
persona_id: '<string>',
overpainting_start: 123,
overpainting_end: 123,
samples_start: 123,
samples_end: 123,
underpainting_start: 123,
underpainting_end: 123,
continue_at: 123,
callback_url: '<string>',
async: true,
instrumental: true,
vocal_gender: '<string>',
style_negative: '<string>',
style_influence: 0.5,
audio_weight: 0.5,
replace_section_end: 123,
replace_section_start: 123
})
};
fetch('https://api.acedata.cloud/suno/audios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "1b694cae-8b5f-424f-a5bf-2f27b7697843",
"lyric": "[Verse]\nSnowflakes falling like whispered dreams\nFrosty windows\nCocoa steam\nCandles flicker\nHearts aglow\nThe quiet hum of winter’s show\n[Chorus]\nOh the world feels soft tonight\nWrapped in stars and silver light\nChristmas whispers\nHold it tight\nSnowfall serenade\n[Verse 2]\nFootprints weaving through the white\nEvery step feels just so right\nLaughter echoes\nFires burn\nEvery corner a joy to turn\n[Prechorus]\nHolly hangs and bells will ring\nMagic hums in everything\n[Chorus]\nOh the world feels soft tonight\nWrapped in stars and silver light\nChristmas whispers\nHold it tight\nSnowfall serenade\n[Bridge]\nStockings hung with quiet care\nDreams and wishes fill the air\nA moment frozen\nTime stands still\nHearts align\nThey always will",
"model": "chirp-v3",
"state": "succeeded",
"style": "uplifting, orchestral with sleigh bells and warm strings",
"title": "Snowfall Serenade",
"prompt": "A song for Christmas",
"duration": 240,
"audio_url": "https://cdn1.suno.ai/1b694cae-8b5f-424f-a5bf-2f27b7697843.mp3",
"image_url": "https://cdn2.suno.ai/image_1b694cae-8b5f-424f-a5bf-2f27b7697843.jpeg",
"video_url": "",
"created_at": "2025-07-29T01:28:32.508Z"
},
{
"id": "532f4ae0-48fb-4604-9c68-350897373522",
"lyric": "[Verse]\nSnowflakes falling like whispered dreams\nFrosty windows\nCocoa steam\nCandles flicker\nHearts aglow\nThe quiet hum of winter’s show\n[Chorus]\nOh the world feels soft tonight\nWrapped in stars and silver light\nChristmas whispers\nHold it tight\nSnowfall serenade\n[Verse 2]\nFootprints weaving through the white\nEvery step feels just so right\nLaughter echoes\nFires burn\nEvery corner a joy to turn\n[Prechorus]\nHolly hangs and bells will ring\nMagic hums in everything\n[Chorus]\nOh the world feels soft tonight\nWrapped in stars and silver light\nChristmas whispers\nHold it tight\nSnowfall serenade\n[Bridge]\nStockings hung with quiet care\nDreams and wishes fill the air\nA moment frozen\nTime stands still\nHearts align\nThey always will",
"model": "chirp-v3",
"state": "succeeded",
"style": "uplifting, orchestral with sleigh bells and warm strings",
"title": "Snowfall Serenade",
"prompt": "A song for Christmas",
"duration": 240,
"audio_url": "https://cdn1.suno.ai/532f4ae0-48fb-4604-9c68-350897373522.mp3",
"image_url": "https://cdn2.suno.ai/image_532f4ae0-48fb-4604-9c68-350897373522.jpeg",
"video_url": "",
"created_at": "2025-07-29T01:28:32.508Z"
}
],
"success": true,
"task_id": "6a8fe7f7-3897-43e4-ad1e-5d0792fb3dba",
"trace_id": "2b63eb64-8244-48fa-9d67-8c46041666fe"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "timeout",
"message": "timeout while waiting for audio generation"
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorisations
API token from https://platform.acedata.cloud
En-têtes
Suno Audios Param Accept
application/json, application/x-ndjson Corps
Suno Audios Lyric
Suno Audios Model
chirp-v5-5, chirp-v5, chirp-v4-5-plus, chirp-v4-5, chirp-v4, chirp-v3-5, chirp-v3-0 "chirp-v5-5"
Suno Audios Style
Suno Audios Variation Category
Suno Audios Title
Suno Audios Action
generate, extend, upload_extend, upload_cover, concat, cover, artist_consistency, artist_consistency_vox, stems, all_stems, replace_section, underpainting, overpainting, remaster, mashup, samples, inspo "generate"
Suno Audios Custom
Suno Audios Prompt
"A song for Christmas"
Suno Audios Lyric Prompt
Suno Audios Audio Id
Suno Audios Mashup Audio Ids
Suno Audios Audio Urls
[
"https://cdn1.suno.ai/b481b17a-bf50-4e10-8adc-4d5635050893.mp3"
]
Suno Audios Weirdness
0 <= x <= 1Suno Audios Persona Id
Suno Audios Overpainting Start
Suno Audios Overpainting End
Suno Audios Samples Start
Suno Audios Samples End
Suno Audios Underpainting Start
Suno Audios Underpainting End
Suno Audios Continue At
Suno Audios Callback Url
Suno Audios Async
Suno Audios Instrumental
Suno Audios Vocal Gender
Suno Audios Style Negative
Suno Audios Style Influence
0 <= x <= 1Suno Audios Audio Weight
0 <= x <= 1Suno Audios Replace Section End
Suno Audios Replace Section Start
Cette page vous a-t-elle été utile ?

